LineSearchBasedMethod Class Referenceabstract

Line search based method. More...

`#include <ql/math/optimization/linesearchbasedmethod.hpp>`

Inheritance diagram for LineSearchBasedMethod:
[legend]

## Public Member Functions

| LineSearchBasedMethod (const ext::shared_ptr< LineSearch > &lSearch=ext::shared_ptr< LineSearch >())
virtual EndCriteria::Type | minimize (Problem &P, const EndCriteria &endCriteria)
| minimize the optimization problem P

## Protected Member Functions

virtual Disposable< Array > | getUpdatedDirection (const Problem &P, Real gold2, const Array &gradient)=0
| computes the new search direction

## Protected Attributes

ext::shared_ptr< LineSearch > | lineSearch_
| line search

## Detailed Description

Line search based method.